#!/bin/bash

export REEFDB_BASEDIR=$(pwd)
export REEFDB_HOME=$REEFDB_BASEDIR/reefdb
export JAVA_HOME=$REEFDB_BASEDIR/jre
export JAVA_COMMAND=$JAVA_HOME/bin/java

cd $REEFDB_BASEDIR

echo "reefdb basedir:  $REEFDB_BASEDIR"
echo "reefdb app home: $REEFDB_HOME"
echo "reefdb jre home: $JAVA_HOME"

echo "Read launcher properties"
. $REEFDB_HOME/launcher.properties
. launcher.properties

echo "Run Reef DB in silent mode to export database"
$JAVA_COMMAND $JAVA_OPTS -Dreefdb.log.file=$LOGFILE -jar $JAR --option reefdb.launch.mode silent --export-db --option reefdb.basedir $REEFDB_BASEDIR --option config.path $REEFDB_CONFIG_DIR
exitcode=$?
echo "Stop Reef DB with exitcode: $exitcode"

cd $REEFDB_BASEDIR
  
  